<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xmleye="http://www.uca.es/xmleye"
  xmlns:tes="http://www.bpelunit.org/schema/testResult">

<!-- The new tree has the same nodes and in the same order as the original one,
     plus a unique identifier. This stylesheet installs some extra hooks to customize
     children order and possibly add new elements and attributes.  -->

<xsl:import href="preproc_xml"/>

<xsl:template match="tes:testResult|tes:testCase|tes:partnerTrack|tes:activity|tes:dataPackage">
  <xsl:attribute name="nodelabel">
    <xsl:value-of select="@name"/>
  </xsl:attribute>
  <xsl:call-template name="attach-success-icon"/>
</xsl:template>

<xsl:template match="tes:state|tes:xmlData|tes:receiveCondition">
  <xsl:attribute name="hidden">1</xsl:attribute>
</xsl:template>

<xsl:template name="attach-success-icon">
  <xsl:choose>
    <xsl:when test="@result = 'PASSED'">
      <xsl:attribute name="nodeicon">
        <xsl:value-of select="$xmleye:success-icon"/>
      </xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
      <xsl:attribute name="nodeicon">
        <xsl:value-of select="$xmleye:failure-icon"/>
      </xsl:attribute>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
